Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	projectM visualisation plugin for libvisual
Name:      	libvisual-projectM
Version:   	0.99
Release:   	1
Requires:	libvisual libprojectM
License: 	GNU/GPL
URL:		http://xmms-projectm.sourceforge.net/
Group:     	Sound
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

BuildRequires:  libprojectM-devel
BuildRequires:  libGL-devel
BuildRequires:  libGLU-devel
BuildRequires:  libICE-devel
BuildRequires:  SDL-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXi-devel
BuildRequires:  libXmu-devel
BuildRequires:  glibc-devel
BuildRequires:  libglib-devel
BuildRequires:  gtk+-devel
BuildRequires:  zlib-devel


%description
libvisual-projectM is a visualisation plugin for libvisual utilizing
the projectM visualizer

%prep
%setup -n %{name}

%build
./configure --prefix=%{_prefix}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.99-1
- Initial Release

